Package org.eclipse.rdf4j.query.parser

## Class ParsedDescribeQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.ParsedOperation
  - - org.eclipse.rdf4j.query.parser.ParsedQuery
    - - org.eclipse.rdf4j.query.parser.ParsedGraphQuery
      - - org.eclipse.rdf4j.query.parser.ParsedDescribeQuery

-     public class ParsedDescribeQuery
      extends ParsedGraphQuery

  A ParsedGraphQuery to identify DESCRIBE queries.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParsedDescribeQuery()` | Creates a new graph query.
    `ParsedDescribeQuery​(String sourceString, TupleExpr tupleExpr)` | Creates a new graph query for the supplied tuple expression.
    `ParsedDescribeQuery​(String sourceString, TupleExpr tupleExpr, Map<String,​String> namespaces)` | Creates a new graph query.
    `ParsedDescribeQuery​(Map<String,​String> namespaces)` | Creates a new graph query.
    `ParsedDescribeQuery​(TupleExpr tupleExpr)` | Creates a new graph query for the supplied tuple expression.
    `ParsedDescribeQuery​(TupleExpr tupleExpr, Map<String,​String> namespaces)` | Creates a new graph query.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedGraphQuery

      `getQueryNamespaces`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedQuery

      `getDataset, getTupleExpr, setDataset, setTupleExpr, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedOperation

      `getSourceString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery()

      Creates a new graph query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery​(Map<String,​String> namespaces)

      Creates a new graph query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.
      Parameters:
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery​(TupleExpr tupleExpr)

      Creates a new graph query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery​(String sourceString,
                                     TupleExpr tupleExpr)

      Creates a new graph query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery​(TupleExpr tupleExpr,
                                     Map<String,​String> namespaces)

      Creates a new graph query.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.

    - #### ParsedDescribeQuery

          public ParsedDescribeQuery​(String sourceString,
                                     TupleExpr tupleExpr,
                                     Map<String,​String> namespaces)

      Creates a new graph query.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.